package com.ruoyi.invest.mapper;

import java.util.List;
import com.ruoyi.invest.domain.CreditCardBill;
import com.ruoyi.invest.domain.dto.CreditCardBillDto;
import com.ruoyi.invest.domain.vo.CreditCardBillVo;

/**
 * 信用卡账单Mapper接口
 *
 * @author tianyongbao
 * @date 2024-03-19
 */
public interface CreditCardBillMapper
{
    /**
     * 查询信用卡账单
     *
     * @param id 信用卡账单主键
     * @return 信用卡账单
     */
    public CreditCardBillVo selectCreditCardBillById(Long id);

    /**
     * 查询信用卡账单列表
     *
     * @param creditCardBillDto 信用卡账单
     * @return 信用卡账单集合
     */
    public List<CreditCardBillVo> selectCreditCardBillList(CreditCardBillDto creditCardBillDto);

    /**
     * 新增信用卡账单
     *
     * @param creditCardBill 信用卡账单
     * @return 结果
     */
    public int insertCreditCardBill(CreditCardBill creditCardBill);

    /**
     * 修改信用卡账单
     *
     * @param creditCardBill 信用卡账单
     * @return 结果
     */
    public int updateCreditCardBill(CreditCardBill creditCardBill);

    /**
     * 删除信用卡账单
     *
     * @param id 信用卡账单主键
     * @return 结果
     */
    public int deleteCreditCardBillById(Long id);

    /**
     * 批量删除信用卡账单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCreditCardBillByIds(Long[] ids);

    /**
     * 逻辑删除信用卡账单
     *
     * @param id 信用卡账单主键
     * @return 结果
     */
    public int removeCreditCardBillById(Long id);

    /**
     * 批量逻辑删除信用卡账单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int removeCreditCardBillByIds(Long[] ids);
}
